Subject: NetBIOS SSP addressing fields

From: "Peter W. Gayek" <[email-masked]>
Date: Fri, 1 Sep 95 11:51:16 EDT

This post is to document the decision reached at AIW8 about the use
of addressing fields in NETBIOS_NQ_ex and NETBIOS_NR_ex.  NETBIOS_ANQ
and NETBIOS_ANR were not discussed, but I believe the same rules
should apply so I stuck in a section about that.

Please post any concerns or corrections to the sections "AIW8 Consensus"
and "Extension to ANQ/ANR".  These are the only parts I think we (Paul)
should somehow integrate into the next draft RFC.  The other stuff is
just background and commentary (but of course you're free to comment
on it as well).
Thanks,
Peter Gayek
IBM Corp.
------------------------------------------------------------------------
Background:
  The 6611 and products interoperable with it did the following, or
  something close to it:

  NETBIOS_NQ(_cs):
    Target MAC = NB functional address (or indiv. MAC if RND operating)
    Origin MAC = NQ sender
    Direction  = 01 (origin->target)
    Target circuit id = n/a
    Origin circuit id = n/a
    Target transport id = 0
    Origin transport id = 0

  NETBIOS_NR(_cs):
    Target MAC = NQ sender
    Origin MAC = NR sender
    Direction  = 02 (target->origin)
    Target circuit id = NR sender (port id only for 6611 in this frame)
    Origin circuit id = 0
    Target transport id = NB_NR sender (NB_NQ receiver)
    Origin transport id = 0
------------------------------------------------------------------------
AIW8 Consensus:
  AIW_V1/RFC 1795 products should do the following:

  NETBIOS_NQ_ex:
    Target MAC = NB functional address (or indiv. MAC if RND operating)
    Origin MAC = NQ sender
    Direction  = 01 (origin->target)
    Target circuit id = n/a
    Origin circuit id = n/a
    Target transport id = NB_NQ receiver
    Origin transport id = NB_NQ sender

  NETBIOS_NR_ex:
    Target MAC = NR sender
    Origin MAC = NQ sender
    Direction  = 02 (target->origin)
    Target circuit id = n/a
    Origin circuit id = n/a
    Target transport id = NB_NR sender (NB_NQ receiver)
    Origin transport id = NB_NR receiver (NB_NQ sender)
------------------------------------------------------------------------
Extension to ANQ/ANR (not discussed):
  AIW_V1/RFC 1795 products should do the following:

  NETBIOS_ANQ:
    Target MAC = NB functional address
    Origin MAC = ANQ sender
    Direction  = 01 (origin->target)
    Target circuit id = n/a
    Origin circuit id = n/a
    Target transport id = NB_ANQ receiver
    Origin transport id = NB_ANQ sender

  NETBIOS_ANR (if any):
    Target MAC = ANR sender
    Origin MAC = ANQ sender
    Direction  = 02 (target->origin)
    Target circuit id = n/a
    Origin circuit id = n/a
    Target transport id = NB_ANR sender (NB_ANQ receiver)
    Origin transport id = NB_ANR receiver (NB_ANQ sender)
------------------------------------------------------------------------
Back-level interoperability advice:
  Assume that NETBIOS_NQ/NR_cs will stay as is.
  (1) If the 1795 node uses the cs/ex bit:
      1795 sends NETBIOS_NQ_ex and gets back NETBIOS_NR_cs -
        it should decode NB_NR as _cs and respond REACH_ACK
      1795 receives NETBIOS_NQ_cs -
        should decode NB_NQ as _cs and respond NB_NR_cs

  (2) If the 1795 node uses capex and adopts 1434 appearance:
      1795 should send NETBIOS_NQ_cs and expect NETBIOS_NR_cs
      1795 receives NETBIOS_NQ_cs - should send NETBIOS_NR_cs